#436 closed defect (fixed)

monitor registered commands list manipulation bugs

Reported by: strauman Owned by: Jennifer Averett
Priority: lowest Milestone: 2
Component: unspecified Version: 4.6
Severity: normal Keywords:
Cc: bugs@…, joel.sherrill@… Blocked By:
Blocking:

Description

The list manipulation (insertion/deletion) routines

rtems_monitor_insert_cmd()
rtems_monitor_erase_cmd()

are ill-written.

Release:
RTEMS-4.6.0pre4

Attachments (1)

monitor.diff (2.4 KB) - added by strauman on Dec 3, 2006 at 1:31:13 PM.
monitor.diff

Download all attachments as: .zip

Change History (4)

comment:1 Changed on Aug 5, 2003 at 5:23:33 PM by Joel Sherrill

Owner: changed from joel to jennifer
Status: assignedwaiting

comment:2 Changed on Aug 5, 2003 at 6:10:50 PM by Jennifer Averett

Status: waitingclosed

State-Changed-From-To: feedback->closed
State-Changed-Why: patch applied to trunk and 4.6 branch.

Changed on Dec 3, 2006 at 1:31:13 PM by strauman

Attachment: monitor.diff added

monitor.diff

comment:3 Changed on Oct 10, 2017 at 6:35:44 AM by Sebastian Huber

Component: miscunspecified
Note: See TracTickets for help on using tickets.